Deactivate account
Deactivate account. Moves the account from Active to Enabled. Available for Operations account with platform account management permissions. Returns the updated account object.
Path parameters
idstringRequired
Account identifier.
Responses
200
OK
application/json
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
typestring · enumOptionalPossible values:
statusstring · enumOptionalPossible values:
externalIdstring · nullableOptional
externalNamestring · nullableOptional
technicalSupportEmailstring · nullableOptional
websitestring · nullableOptional
descriptionstring · nullableOptional
defaultLanguageCodestring · nullableOptional
400
Bad Request
application/json
404
Not Found
application/json
post/public/v1/accounts/accounts/{id}/deactivate
POST /public/v1/accounts/accounts/{id}/deactivate HTTP/1.1
Host: api.platform.softwareone.com
Accept: */*
{
"id": "ACC-1234-1234",
"revision": 2,
"name": "Contoso Ltd",
"status": "Disabled",
"type": "Vendor",
"audit": {
"created": {
"at": "2024-01-15T09:12:23+00:00",
"by": {
"id": "USR-0001",
"name": "Ops User"
}
},
"updated": {
"at": "2024-02-02T10:15:00+00:00",
"by": {
"id": "USR-0001",
"name": "Ops User"
}
},
"activated": {
"at": "2024-02-02T15:15:00+00:00",
"by": {
"id": "USR-0001",
"name": "Ops User"
}
},
"deactivated": {
"at": "2024-02-02T20:15:00+00:00",
"by": {
"id": "USR-0001",
"name": "Ops User"
}
}
}
}Last updated
Was this helpful?